import { jsx } from "react/jsx-runtime";
import { MotorcycleIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Motorcycle = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Motorcycle", ...props, children: /* @__PURE__ */ jsx(MotorcycleIcon, { weight: variant }) });
  }
);
Motorcycle.displayName = "Motorcycle";
Object.assign(Motorcycle, { isGdsIcon: true });
export {
  Motorcycle
};
